aboutsummaryrefslogtreecommitdiffstats
path: root/extra/db/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-13 09:44:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-13 09:44:19 +0000
commit74f18ea70fa9319b4abf9d57545fb1b14ba8bbd5 (patch)
tree7afb9e0cf3c56440e88ec10cdbb831ec0bd9cafc /extra/db/APKBUILD
parent9c645c36a39e621da6479ac6521f7d514f3b82a9 (diff)
downloadaports-74f18ea70fa9319b4abf9d57545fb1b14ba8bbd5.tar.bz2
aports-74f18ea70fa9319b4abf9d57545fb1b14ba8bbd5.tar.xz
extra/db: downgrade to 4.5.20
openldap does not support 4.7.x and 4.5.x is whats stable in gentoo. Lets use this for a while.
Diffstat (limited to 'extra/db/APKBUILD')
-rw-r--r--extra/db/APKBUILD37
1 files changed, 26 insertions, 11 deletions
diff --git a/extra/db/APKBUILD b/extra/db/APKBUILD
index bc4c67dbe5..35ee659c0a 100644
--- a/extra/db/APKBUILD
+++ b/extra/db/APKBUILD
@@ -1,31 +1,46 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=db
-pkgver=4.7.25
-pkgrel=0
-pkgdesc="The Berkeley DB embedded database system"
+
+# openldap does not build against 4.7.x so we keep an old version here for now.
+pkgver=4.5.20.2
+_ver=${pkgver%.*}
+pkgrel=2
+pkgdesc="The Berkeley DB embedded database system 4.5"
url="http://www.oracle.com/technology/software/products/berkeley-db/index.html"
license="custom"
depends="uclibc"
-makedepends=""
subpackages="$pkgname-dev $pkgname-doc"
-source="http://download-uk.oracle.com/berkeley-$pkgname/$pkgname-$pkgver.tar.gz"
+# Patches were found here:
+# http://www.oracle.com/technology/products/berkeley-db/db/update/4.6.20/patch.4.6.20.html
+source="http://download-uk.oracle.com/berkeley-db/db-$_ver.tar.gz
+ patch.$_ver.1
+ patch.$_ver.2
+ "
-build () {
- cd "$srcdir/$pkgname-$pkgver"/build_unix
+build () {
+ cd "$srcdir"/db-$_ver
+ for i in ../patch.*; do
+ msg "Applying $i..."
+ patch -p0 < $i || return 1
+ done
+ cd build_unix
../dist/configure --prefix=/usr \
+ --mandir=/usr/share/man \
--enable-compat185 \
--enable-shared \
- --enable-static \
+ --disable-static \
--disable-cxx
-
make LIBSO_LIBS=-lpthread || return 1
make DESTDIR="$pkgdir" install
mkdir -p "$pkgdir"/usr/share/doc
mv "$pkgdir"/usr/docs "$pkgdir"/usr/share/doc/$pkgname
- install -m644 -D "$srcdir"/$pkgname-$pkgver/LICENSE \
+ install -D -m644 "$srcdir"/db-$_ver/LICENSE \
"$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
-md5sums="ec2b87e833779681a0c3a814aa71359e db-4.7.25.tar.gz"
+
+md5sums="b0f1c777708cb8e9d37fb47e7ed3312d db-4.5.20.tar.gz
+a571e239b9041d7990df287cbc59ad6f patch.4.5.20.1
+b7a7086a067ba116f5a8464362c9a9a7 patch.4.5.20.2"